"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const material_1 = require("@mui/material");
const react_1 = __importStar(require("react"));
const icons_material_1 = require("@mui/icons-material");
const system_1 = require("@mui/system");
function DefaultFilterButton({ onClick }) {
    return (react_1.default.createElement(material_1.Button, { variant: "outlined", startIcon: react_1.default.createElement(icons_material_1.FilterAlt, null), onClick: onClick }, "More Filters"));
}
function ListingAdvanceFilters({ ToggleFilterButton = DefaultFilterButton, title = "More Filters", children, }) {
    const [isOpen, setIsOpen] = (0, react_1.useState)(false);
    const onToggle = () => setIsOpen((f) => !f);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(ToggleFilterButton, { onClick: onToggle }),
        react_1.default.createElement(material_1.Drawer, { open: isOpen, anchor: "right", keepMounted: true, onClose: onToggle },
            react_1.default.createElement(system_1.Stack, { sx: { height: "100%", px: 2, minWidth: { xs: "80vw", md: 250 } }, spacing: 2 },
                react_1.default.createElement(DrawerHeaderDrawer, { title: title }),
                react_1.default.createElement(system_1.Stack, { sx: { height: "100%", paddingBottom: 10 }, spacing: 2 }, children),
                react_1.default.createElement(DrawerBottom, { onToggle: onToggle })))));
}
exports.default = ListingAdvanceFilters;
// Subcomponents for more filters
function DrawerBottom({ onToggle }) {
    return (react_1.default.createElement(system_1.Stack, { direction: "row", spacing: 1, sx: ({ palette }) => ({
            backgroundColor: "Background",
            position: "sticky",
            bottom: 0,
            py: 2,
        }) },
        react_1.default.createElement(material_1.Button, { fullWidth: true, variant: "outlined", onClick: onToggle }, "Close")));
}
function DrawerHeaderDrawer({ title }) {
    return (react_1.default.createElement(material_1.Box, { sx: ({ palette }) => ({
            borderBottom: 1,
            borderColor: palette.divider,
            backgroundColor: "Background",
            position: "sticky",
            zIndex: 1,
            top: 0,
            py: 1,
        }) },
        react_1.default.createElement(material_1.Typography, { variant: "h6" }, title)));
}
//# sourceMappingURL=ListingAdvanceFilters.js.map